<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ManBase/DayZPlayer/DayZPlayerCameras.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/dcb/_day_z_player_cameras_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">DayZPlayerCameras.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/dcb/_day_z_player_cameras_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d0/d5d/class_day_z_player_cameras.html">DayZPlayerCameras</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#a337b026636d79a042d3a030985b9f9eb">    3</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span>    <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a337b026636d79a042d3a030985b9f9eb">DAYZCAMERA_1ST</a>                      = 1;        </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#aa63662d2622cbf37dc42bafb9828ed34">    4</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span>    <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63662d2622cbf37dc42bafb9828ed34">DAYZCAMERA_3RD_ERC</a>                  = 2;        </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#a70dee02491214f3d1b57e17f041106d7">    5</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span>    <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a70dee02491214f3d1b57e17f041106d7">DAYZCAMERA_3RD_ERC_SPR</a>              = 3;        </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#ab60706b6d38ff7e4bf816742f2743e22">    6</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span>    <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ab60706b6d38ff7e4bf816742f2743e22">DAYZCAMERA_3RD_ERC_RAISED</a>           = 4;        </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#ab0588f11b7d18eac8e70afa51a2a1c9d">    7</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span>    <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ab0588f11b7d18eac8e70afa51a2a1c9d">DAYZCAMERA_3RD_CRO</a>                  = 5;        </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#a400339509ea47b366cd83823ca3626f6">    8</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span>    <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a400339509ea47b366cd83823ca3626f6">DAYZCAMERA_3RD_CRO_RAISED</a>           = 6;        </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#a7ae688855a4b71416e537cc910cc189b">    9</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span>    <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a7ae688855a4b71416e537cc910cc189b">DAYZCAMERA_3RD_PRO</a>                  = 7;        </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#a3a40874644b86debd28f601ae229ea39">   10</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span>    <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a3a40874644b86debd28f601ae229ea39">DAYZCAMERA_3RD_PRO_RAISED</a>           = 8;        </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#ac60db3439564a4693022485018357b4a">   11</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span>    <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ac60db3439564a4693022485018357b4a">DAYZCAMERA_3RD_ERC_RAISED_MELEE</a>     = 9;        </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#aa63838373f03cb2d10c2ccb55abea7b5">   12</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span>    <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63838373f03cb2d10c2ccb55abea7b5">DAYZCAMERA_IRONSIGHTS</a>               = 10;       </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#a26dacce2c2fe775d42ea3be33b97647c">   13</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span>    <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a26dacce2c2fe775d42ea3be33b97647c">DAYZCAMERA_OPTICS</a>                   = 11;       </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#ac010fe7a13e790bb26b3dc3638760394">   14</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span>    <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ac010fe7a13e790bb26b3dc3638760394">DAYZCAMERA_1ST_UNCONSCIOUS</a>          = 12;       </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#aec91be6866a8df05739433691578b01a">   15</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span>    <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aec91be6866a8df05739433691578b01a">DAYZCAMERA_3RD_JUMP</a>                 = 13;       </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#a3fb8d68f0dbcd562dbf8be7eb64f121e">   16</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span>    <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a3fb8d68f0dbcd562dbf8be7eb64f121e">DAYZCAMERA_3RD_CLIMB</a>                = 14;       </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#ae2371dac195d0e2064c8c13815627b09">   18</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span>    <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ae2371dac195d0e2064c8c13815627b09">DAYZCAMERA_1ST_VEHICLE</a>              = 30;       </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#a964a0c3598dc49140b09c534ce264c59">   19</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span>    <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a964a0c3598dc49140b09c534ce264c59">DAYZCAMERA_3RD_VEHICLE</a>              = 31;       </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#a5e9bee072b059bf0e204f4b0c7ed42c1">   21</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span>    <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a5e9bee072b059bf0e204f4b0c7ed42c1">PERITEMUD_INVALID</a>           = -1;       </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#a7cc2316891d2dd86d86eab962815da9c">   22</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span>    <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a7cc2316891d2dd86d86eab962815da9c">PERITEMUD_EMPTYHANDED</a>       = 20;       </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#addf353151679e179e2568e2aa96123db">   23</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span>    <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#addf353151679e179e2568e2aa96123db">PERITEMUD_ONEHANDED</a>         = 25;       </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#a6dbbf6d95a16043d93cf260178974cee">   24</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span>    <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a6dbbf6d95a16043d93cf260178974cee">PERITEMUD_TWOHANDED</a>         = 30;       </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="comment">// some times for camera changes</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#a8790dc4876fc4e9f475dcc42f94f875e">   27</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">float</span>  <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a8790dc4876fc4e9f475dcc42f94f875e">TIME_CAMERACHANGE_01</a>                = 0.1;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#a76ff55bf612a491fa9286a9fc0af7087">   28</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">float</span>  <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a76ff55bf612a491fa9286a9fc0af7087">TIME_CAMERACHANGE_02</a>                = 0.2;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#a1e2eb80be88fb3159d9cc35ea7dcb336">   29</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">float</span>  <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a1e2eb80be88fb3159d9cc35ea7dcb336">TIME_CAMERACHANGE_03</a>                = 0.3;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#a2a9f363d0818562936c6f710923db1d2">   32</a></span>    <span class="keyword">static</span> ref <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int,float&gt;</a>                               <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a2a9f363d0818562936c6f710923db1d2">m_TransitionTimes</a> = <span class="keyword">new</span> <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int,float&gt;</a>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    <span class="comment">// temporary moved out of the </span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#a789a43d8765bbae93531fb7fddb45c5a">   37</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span>     <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a789a43d8765bbae93531fb7fddb45c5a">RegisterCameras</a>(<a class="code hl_function" href="../../d3/d58/dayzplayer_8c.html#ac59bf98466d4f3f38592427bbab714bd">DayZPlayerType</a> pType)</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        pType.ResetCameraCreators();</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        pType.RegisterCameraCreator(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a337b026636d79a042d3a030985b9f9eb">DAYZCAMERA_1ST</a>, <a class="code hl_class" href="../../d0/d7a/class_day_z_player_camera1st_person.html">DayZPlayerCamera1stPerson</a>);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        pType.RegisterCameraCreator(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63662d2622cbf37dc42bafb9828ed34">DAYZCAMERA_3RD_ERC</a>, <a class="code hl_class" href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html">DayZPlayerCamera3rdPersonErc</a>);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        pType.RegisterCameraCreator(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a70dee02491214f3d1b57e17f041106d7">DAYZCAMERA_3RD_ERC_SPR</a>, <a class="code hl_function" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#aed3d57837822c20e8c35b63de6f30430">DayZPlayerCamera3rdPersonErcSpr</a>);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        pType.RegisterCameraCreator(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ab60706b6d38ff7e4bf816742f2743e22">DAYZCAMERA_3RD_ERC_RAISED</a>, <a class="code hl_class" href="../../dc/d2b/class_day_z_player_camera3rd_person_erc_raised.html">DayZPlayerCamera3rdPersonErcRaised</a>);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        pType.RegisterCameraCreator(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ab0588f11b7d18eac8e70afa51a2a1c9d">DAYZCAMERA_3RD_CRO</a>, <a class="code hl_class" href="../../d8/d09/class_day_z_player_camera3rd_person_crouch.html">DayZPlayerCamera3rdPersonCrouch</a>);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        pType.RegisterCameraCreator(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a400339509ea47b366cd83823ca3626f6">DAYZCAMERA_3RD_CRO_RAISED</a>, DayZPlayerCamera3rdPersonCrouchRaised);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        pType.RegisterCameraCreator(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a7ae688855a4b71416e537cc910cc189b">DAYZCAMERA_3RD_PRO</a>, <a class="code hl_function" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#abeeafadd29b6c9573d86e2378bd83a7d">DayZPlayerCamera3rdPersonProne</a>);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        pType.RegisterCameraCreator(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a3a40874644b86debd28f601ae229ea39">DAYZCAMERA_3RD_PRO_RAISED</a>, <a class="code hl_function" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a65cc2249f227dccf5ac6c058f25eed9e">DayZPlayerCamera3rdPersonProneRaised</a>);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        pType.RegisterCameraCreator(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63838373f03cb2d10c2ccb55abea7b5">DAYZCAMERA_IRONSIGHTS</a>, DayZPlayerCameraIronsights);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        pType.RegisterCameraCreator(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a26dacce2c2fe775d42ea3be33b97647c">DAYZCAMERA_OPTICS</a>, <a class="code hl_function" href="../../d8/dbf/_day_z_player_camera_ironsights_8c.html#a0035dfa873d9e1b182418d208f721304">DayZPlayerCameraOptics</a>);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        pType.RegisterCameraCreator(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ac60db3439564a4693022485018357b4a">DAYZCAMERA_3RD_ERC_RAISED_MELEE</a>, DayZPlayerCamera3rdPersonErcRaisedMelee);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        pType.RegisterCameraCreator(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ac010fe7a13e790bb26b3dc3638760394">DAYZCAMERA_1ST_UNCONSCIOUS</a>, <a class="code hl_function" href="../../d1/d53/_day_z_player_camera1st_person_8c.html#adfce3d4d94168186c18ff27904c48084">DayZPlayerCamera1stPersonUnconscious</a>);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        pType.RegisterCameraCreator(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aec91be6866a8df05739433691578b01a">DAYZCAMERA_3RD_JUMP</a>, <a class="code hl_function" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a2a887f7d444cb77cd5bc29fd7c08980c">DayZPlayerCamera3rdPersonJump</a>);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        pType.RegisterCameraCreator(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a3fb8d68f0dbcd562dbf8be7eb64f121e">DAYZCAMERA_3RD_CLIMB</a>, <a class="code hl_function" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a562cebe7ec110118d7e357695caa0a79">DayZPlayerCamera3rdPersonClimb</a>);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        pType.RegisterCameraCreator(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ae2371dac195d0e2064c8c13815627b09">DAYZCAMERA_1ST_VEHICLE</a>, DayZPlayerCamera1stPersonVehicle);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        pType.RegisterCameraCreator(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a964a0c3598dc49140b09c534ce264c59">DAYZCAMERA_3RD_VEHICLE</a>, <a class="code hl_function" href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a24a309bcd5676bce950b1f4068864c86">DayZPlayerCamera3rdPersonVehicle</a>);</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63662d2622cbf37dc42bafb9828ed34">DAYZCAMERA_3RD_ERC</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ab0588f11b7d18eac8e70afa51a2a1c9d">DAYZCAMERA_3RD_CRO</a>, 0.4, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63662d2622cbf37dc42bafb9828ed34">DAYZCAMERA_3RD_ERC</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a7ae688855a4b71416e537cc910cc189b">DAYZCAMERA_3RD_PRO</a>, 0.8, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63662d2622cbf37dc42bafb9828ed34">DAYZCAMERA_3RD_ERC</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a3a40874644b86debd28f601ae229ea39">DAYZCAMERA_3RD_PRO_RAISED</a>, 0.8, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63662d2622cbf37dc42bafb9828ed34">DAYZCAMERA_3RD_ERC</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ab60706b6d38ff7e4bf816742f2743e22">DAYZCAMERA_3RD_ERC_RAISED</a>, 0.2, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63662d2622cbf37dc42bafb9828ed34">DAYZCAMERA_3RD_ERC</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ac60db3439564a4693022485018357b4a">DAYZCAMERA_3RD_ERC_RAISED_MELEE</a>, 0.2, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63662d2622cbf37dc42bafb9828ed34">DAYZCAMERA_3RD_ERC</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a70dee02491214f3d1b57e17f041106d7">DAYZCAMERA_3RD_ERC_SPR</a>, 0.6, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ab60706b6d38ff7e4bf816742f2743e22">DAYZCAMERA_3RD_ERC_RAISED</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a70dee02491214f3d1b57e17f041106d7">DAYZCAMERA_3RD_ERC_SPR</a>, 0.7, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ab60706b6d38ff7e4bf816742f2743e22">DAYZCAMERA_3RD_ERC_RAISED</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a3a40874644b86debd28f601ae229ea39">DAYZCAMERA_3RD_PRO_RAISED</a>, 0.8, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a70dee02491214f3d1b57e17f041106d7">DAYZCAMERA_3RD_ERC_SPR</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63662d2622cbf37dc42bafb9828ed34">DAYZCAMERA_3RD_ERC</a>, 0.3, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a70dee02491214f3d1b57e17f041106d7">DAYZCAMERA_3RD_ERC_SPR</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ab0588f11b7d18eac8e70afa51a2a1c9d">DAYZCAMERA_3RD_CRO</a>, 0.3, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a70dee02491214f3d1b57e17f041106d7">DAYZCAMERA_3RD_ERC_SPR</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a7ae688855a4b71416e537cc910cc189b">DAYZCAMERA_3RD_PRO</a>, 0.5, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a70dee02491214f3d1b57e17f041106d7">DAYZCAMERA_3RD_ERC_SPR</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ab60706b6d38ff7e4bf816742f2743e22">DAYZCAMERA_3RD_ERC_RAISED</a>, 0.3, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a70dee02491214f3d1b57e17f041106d7">DAYZCAMERA_3RD_ERC_SPR</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aec91be6866a8df05739433691578b01a">DAYZCAMERA_3RD_JUMP</a>, 0.1, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aec91be6866a8df05739433691578b01a">DAYZCAMERA_3RD_JUMP</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a70dee02491214f3d1b57e17f041106d7">DAYZCAMERA_3RD_ERC_SPR</a>, 0.2, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63662d2622cbf37dc42bafb9828ed34">DAYZCAMERA_3RD_ERC</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aec91be6866a8df05739433691578b01a">DAYZCAMERA_3RD_JUMP</a>, 0.05, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aec91be6866a8df05739433691578b01a">DAYZCAMERA_3RD_JUMP</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63662d2622cbf37dc42bafb9828ed34">DAYZCAMERA_3RD_ERC</a>, 0.3, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63662d2622cbf37dc42bafb9828ed34">DAYZCAMERA_3RD_ERC</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a3fb8d68f0dbcd562dbf8be7eb64f121e">DAYZCAMERA_3RD_CLIMB</a>, 0.3, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a3fb8d68f0dbcd562dbf8be7eb64f121e">DAYZCAMERA_3RD_CLIMB</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63662d2622cbf37dc42bafb9828ed34">DAYZCAMERA_3RD_ERC</a>, 0.3, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ab0588f11b7d18eac8e70afa51a2a1c9d">DAYZCAMERA_3RD_CRO</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63662d2622cbf37dc42bafb9828ed34">DAYZCAMERA_3RD_ERC</a>, 0.4, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ab0588f11b7d18eac8e70afa51a2a1c9d">DAYZCAMERA_3RD_CRO</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a7ae688855a4b71416e537cc910cc189b">DAYZCAMERA_3RD_PRO</a>, 0.6, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ab0588f11b7d18eac8e70afa51a2a1c9d">DAYZCAMERA_3RD_CRO</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a400339509ea47b366cd83823ca3626f6">DAYZCAMERA_3RD_CRO_RAISED</a>, 0.2, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ab0588f11b7d18eac8e70afa51a2a1c9d">DAYZCAMERA_3RD_CRO</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a70dee02491214f3d1b57e17f041106d7">DAYZCAMERA_3RD_ERC_SPR</a>, 0.6, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a7ae688855a4b71416e537cc910cc189b">DAYZCAMERA_3RD_PRO</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63662d2622cbf37dc42bafb9828ed34">DAYZCAMERA_3RD_ERC</a>, 0.9, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a7ae688855a4b71416e537cc910cc189b">DAYZCAMERA_3RD_PRO</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ab0588f11b7d18eac8e70afa51a2a1c9d">DAYZCAMERA_3RD_CRO</a>, 0.7, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a7ae688855a4b71416e537cc910cc189b">DAYZCAMERA_3RD_PRO</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a3a40874644b86debd28f601ae229ea39">DAYZCAMERA_3RD_PRO_RAISED</a>, 0.2, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a7ae688855a4b71416e537cc910cc189b">DAYZCAMERA_3RD_PRO</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a70dee02491214f3d1b57e17f041106d7">DAYZCAMERA_3RD_ERC_SPR</a>, 0.6, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a3a40874644b86debd28f601ae229ea39">DAYZCAMERA_3RD_PRO_RAISED</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ab0588f11b7d18eac8e70afa51a2a1c9d">DAYZCAMERA_3RD_CRO</a>, 0.7, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a3a40874644b86debd28f601ae229ea39">DAYZCAMERA_3RD_PRO_RAISED</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a400339509ea47b366cd83823ca3626f6">DAYZCAMERA_3RD_CRO_RAISED</a>, 0.7, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a3a40874644b86debd28f601ae229ea39">DAYZCAMERA_3RD_PRO_RAISED</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63662d2622cbf37dc42bafb9828ed34">DAYZCAMERA_3RD_ERC</a>, 0.9, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a3a40874644b86debd28f601ae229ea39">DAYZCAMERA_3RD_PRO_RAISED</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ab60706b6d38ff7e4bf816742f2743e22">DAYZCAMERA_3RD_ERC_RAISED</a>, 0.9, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ab60706b6d38ff7e4bf816742f2743e22">DAYZCAMERA_3RD_ERC_RAISED</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63838373f03cb2d10c2ccb55abea7b5">DAYZCAMERA_IRONSIGHTS</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a76ff55bf612a491fa9286a9fc0af7087">TIME_CAMERACHANGE_02</a>, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a400339509ea47b366cd83823ca3626f6">DAYZCAMERA_3RD_CRO_RAISED</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63838373f03cb2d10c2ccb55abea7b5">DAYZCAMERA_IRONSIGHTS</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a76ff55bf612a491fa9286a9fc0af7087">TIME_CAMERACHANGE_02</a>, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a3a40874644b86debd28f601ae229ea39">DAYZCAMERA_3RD_PRO_RAISED</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63838373f03cb2d10c2ccb55abea7b5">DAYZCAMERA_IRONSIGHTS</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a76ff55bf612a491fa9286a9fc0af7087">TIME_CAMERACHANGE_02</a>, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a337b026636d79a042d3a030985b9f9eb">DAYZCAMERA_1ST</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63838373f03cb2d10c2ccb55abea7b5">DAYZCAMERA_IRONSIGHTS</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a8790dc4876fc4e9f475dcc42f94f875e">TIME_CAMERACHANGE_01</a>, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63662d2622cbf37dc42bafb9828ed34">DAYZCAMERA_3RD_ERC</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63838373f03cb2d10c2ccb55abea7b5">DAYZCAMERA_IRONSIGHTS</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a76ff55bf612a491fa9286a9fc0af7087">TIME_CAMERACHANGE_02</a>, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ab0588f11b7d18eac8e70afa51a2a1c9d">DAYZCAMERA_3RD_CRO</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63838373f03cb2d10c2ccb55abea7b5">DAYZCAMERA_IRONSIGHTS</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a76ff55bf612a491fa9286a9fc0af7087">TIME_CAMERACHANGE_02</a>, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a7ae688855a4b71416e537cc910cc189b">DAYZCAMERA_3RD_PRO</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63838373f03cb2d10c2ccb55abea7b5">DAYZCAMERA_IRONSIGHTS</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a76ff55bf612a491fa9286a9fc0af7087">TIME_CAMERACHANGE_02</a>, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63838373f03cb2d10c2ccb55abea7b5">DAYZCAMERA_IRONSIGHTS</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a26dacce2c2fe775d42ea3be33b97647c">DAYZCAMERA_OPTICS</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a76ff55bf612a491fa9286a9fc0af7087">TIME_CAMERACHANGE_02</a>, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ab60706b6d38ff7e4bf816742f2743e22">DAYZCAMERA_3RD_ERC_RAISED</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a26dacce2c2fe775d42ea3be33b97647c">DAYZCAMERA_OPTICS</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a1e2eb80be88fb3159d9cc35ea7dcb336">TIME_CAMERACHANGE_03</a>, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a400339509ea47b366cd83823ca3626f6">DAYZCAMERA_3RD_CRO_RAISED</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a26dacce2c2fe775d42ea3be33b97647c">DAYZCAMERA_OPTICS</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a1e2eb80be88fb3159d9cc35ea7dcb336">TIME_CAMERACHANGE_03</a>, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a3a40874644b86debd28f601ae229ea39">DAYZCAMERA_3RD_PRO_RAISED</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a26dacce2c2fe775d42ea3be33b97647c">DAYZCAMERA_OPTICS</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a1e2eb80be88fb3159d9cc35ea7dcb336">TIME_CAMERACHANGE_03</a>, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a337b026636d79a042d3a030985b9f9eb">DAYZCAMERA_1ST</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a26dacce2c2fe775d42ea3be33b97647c">DAYZCAMERA_OPTICS</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a76ff55bf612a491fa9286a9fc0af7087">TIME_CAMERACHANGE_02</a>, <span class="keyword">true</span>);  <span class="comment">//handheld optics only</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#aa63662d2622cbf37dc42bafb9828ed34">DAYZCAMERA_3RD_ERC</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a26dacce2c2fe775d42ea3be33b97647c">DAYZCAMERA_OPTICS</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a76ff55bf612a491fa9286a9fc0af7087">TIME_CAMERACHANGE_02</a>, <span class="keyword">true</span>);  <span class="comment">//handheld optics only</span></div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ab0588f11b7d18eac8e70afa51a2a1c9d">DAYZCAMERA_3RD_CRO</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a26dacce2c2fe775d42ea3be33b97647c">DAYZCAMERA_OPTICS</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a76ff55bf612a491fa9286a9fc0af7087">TIME_CAMERACHANGE_02</a>, <span class="keyword">true</span>);  <span class="comment">//handheld optics only</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a7ae688855a4b71416e537cc910cc189b">DAYZCAMERA_3RD_PRO</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a26dacce2c2fe775d42ea3be33b97647c">DAYZCAMERA_OPTICS</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a76ff55bf612a491fa9286a9fc0af7087">TIME_CAMERACHANGE_02</a>, <span class="keyword">true</span>);  <span class="comment">//handheld optics only</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <span class="comment">//Uncon camera transitions</span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ac010fe7a13e790bb26b3dc3638760394">DAYZCAMERA_1ST_UNCONSCIOUS</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a7ae688855a4b71416e537cc910cc189b">DAYZCAMERA_3RD_PRO</a>, 1.0, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ac010fe7a13e790bb26b3dc3638760394">DAYZCAMERA_1ST_UNCONSCIOUS</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a337b026636d79a042d3a030985b9f9eb">DAYZCAMERA_1ST</a>, 0.1, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ac010fe7a13e790bb26b3dc3638760394">DAYZCAMERA_1ST_UNCONSCIOUS</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ae2371dac195d0e2064c8c13815627b09">DAYZCAMERA_1ST_VEHICLE</a>, 0.5, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#ac010fe7a13e790bb26b3dc3638760394">DAYZCAMERA_1ST_UNCONSCIOUS</a>, <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a964a0c3598dc49140b09c534ce264c59">DAYZCAMERA_3RD_VEHICLE</a>, 1.0, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        </div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        pType.RegisterCameraOnChangeFnStatic(<a class="code hl_class" href="../../d0/d5d/class_day_z_player_cameras.html">DayZPlayerCameras</a>, <span class="stringliteral">&quot;OnCameraChange&quot;</span>);</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    }</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span> </div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span> </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">  134</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span>     <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(<span class="keywordtype">int</span> pFrom, <span class="keywordtype">int</span> pTo, <span class="keywordtype">float</span> pTime, <span class="keywordtype">bool</span> pTwoWay)</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    {</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <span class="keywordtype">int</span>     key = (pFrom * 65536) + pTo;</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a2a9f363d0818562936c6f710923db1d2">m_TransitionTimes</a>.Set(key, pTime);</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        <span class="keywordflow">if</span> (pTwoWay)</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        {</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">RegisterTransitionTime</a>(pTo, pFrom, pTime, <span class="keyword">false</span>);   </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        }</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#afa037122d5fe714ce44bd77d8bb6bf2a">  145</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span>    <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#afa037122d5fe714ce44bd77d8bb6bf2a">GetTransitionTime</a>(<span class="keywordtype">int</span> pFrom, <span class="keywordtype">int</span> pTo)</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    {</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        <span class="keywordtype">int</span>     key = (pFrom * 65536) + pTo;</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <span class="keywordtype">float</span>   val;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span> </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d0/d5d/class_day_z_player_cameras.html#a2a9f363d0818562936c6f710923db1d2">m_TransitionTimes</a>.Find(key, val))</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        {</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>            <span class="keywordflow">return</span> val;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        }</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        <span class="keywordflow">else</span> </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        {</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>            <span class="keywordflow">return</span> 0.3;</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        }</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    }</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span> </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span> </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span> </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno"><a class="line" href="../../d0/d5d/class_day_z_player_cameras.html#a79e4beccda95bd06b173e9f19cc62d65">  162</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span>    <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#a79e4beccda95bd06b173e9f19cc62d65">OnCameraChange</a>(DayZPlayer pPlayer, <span class="keywordtype">int</span> pFrom, <span class="keywordtype">int</span> pTo)</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>    {</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        <span class="comment">//Print(&quot;---transition change---&quot;);</span></div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        <span class="keywordtype">float</span> transTime = <a class="code hl_function" href="../../d0/d5d/class_day_z_player_cameras.html#afa037122d5fe714ce44bd77d8bb6bf2a">GetTransitionTime</a>(pFrom, pTo);</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        <span class="comment">//Print(&quot;OnCameraChange:&quot; + pFrom.ToString() + &quot;-&gt;&quot; + pTo.ToString() + &quot; time:&quot; + transTime.ToString());</span></div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        <span class="keywordflow">return</span> transTime;       </div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>    }</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>}</div>
<div class="ttc" id="a_controls_xbox_new_8c_html_a9ec9dda576db2a36c42c1c3af155d07c"><div class="ttname"><a href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a></div><div class="ttdeci">map</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/_controls_xbox_new_8c_source.html#l00003">ControlsXboxNew.c:4</a></div></div>
<div class="ttc" id="a_day_z_player_camera1st_person_8c_html_adfce3d4d94168186c18ff27904c48084"><div class="ttname"><a href="../../d1/d53/_day_z_player_camera1st_person_8c.html#adfce3d4d94168186c18ff27904c48084">DayZPlayerCamera1stPersonUnconscious</a></div><div class="ttdeci">class DayZPlayerCamera1stPerson extends DayZPlayerCameraBase DayZPlayerCamera1stPersonUnconscious(DayZPlayer pPlayer, HumanInputController pInput)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d53/_day_z_player_camera1st_person_8c_source.html#l00004">DayZPlayerCamera1stPerson.c:99</a></div></div>
<div class="ttc" id="a_day_z_player_camera3rd_person_8c_html_a2a887f7d444cb77cd5bc29fd7c08980c"><div class="ttname"><a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a2a887f7d444cb77cd5bc29fd7c08980c">DayZPlayerCamera3rdPersonJump</a></div><div class="ttdeci">void DayZPlayerCamera3rdPersonJump(DayZPlayer pPlayer, HumanInputController pInput)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00231">DayZPlayerCamera3rdPerson.c:231</a></div></div>
<div class="ttc" id="a_day_z_player_camera3rd_person_8c_html_a562cebe7ec110118d7e357695caa0a79"><div class="ttname"><a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a562cebe7ec110118d7e357695caa0a79">DayZPlayerCamera3rdPersonClimb</a></div><div class="ttdeci">class DayZPlayerCamera3rdPersonJump extends DayZPlayerCamera3rdPersonErc DayZPlayerCamera3rdPersonClimb(DayZPlayer pPlayer, HumanInputController pInput)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00176">DayZPlayerCamera3rdPerson.c:230</a></div></div>
<div class="ttc" id="a_day_z_player_camera3rd_person_8c_html_a65cc2249f227dccf5ac6c058f25eed9e"><div class="ttname"><a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a65cc2249f227dccf5ac6c058f25eed9e">DayZPlayerCamera3rdPersonProneRaised</a></div><div class="ttdeci">class DayZPlayerCamera3rdPersonProne extends DayZPlayerCamera3rdPersonProneBase DayZPlayerCamera3rdPersonProneRaised(DayZPlayer pPlayer, HumanInputController pInput)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00536">DayZPlayerCamera3rdPerson.c:555</a></div></div>
<div class="ttc" id="a_day_z_player_camera3rd_person_8c_html_abeeafadd29b6c9573d86e2378bd83a7d"><div class="ttname"><a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#abeeafadd29b6c9573d86e2378bd83a7d">DayZPlayerCamera3rdPersonProne</a></div><div class="ttdeci">void DayZPlayerCamera3rdPersonProne(DayZPlayer pPlayer, HumanInputController pInput)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00556">DayZPlayerCamera3rdPerson.c:556</a></div></div>
<div class="ttc" id="a_day_z_player_camera3rd_person_8c_html_aed3d57837822c20e8c35b63de6f30430"><div class="ttname"><a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#aed3d57837822c20e8c35b63de6f30430">DayZPlayerCamera3rdPersonErcSpr</a></div><div class="ttdeci">void DayZPlayerCamera3rdPersonErcSpr(DayZPlayer pPlayer, HumanInputController pInput)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00297">DayZPlayerCamera3rdPerson.c:297</a></div></div>
<div class="ttc" id="a_day_z_player_camera_ironsights_8c_html_a0035dfa873d9e1b182418d208f721304"><div class="ttname"><a href="../../d8/dbf/_day_z_player_camera_ironsights_8c.html#a0035dfa873d9e1b182418d208f721304">DayZPlayerCameraOptics</a></div><div class="ttdeci">void DayZPlayerCameraOptics(DayZPlayer pPlayer, HumanInputController pInput)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dbf/_day_z_player_camera_ironsights_8c_source.html#l00341">DayZPlayerCameraIronsights.c:341</a></div></div>
<div class="ttc" id="a_day_z_player_camera_vehicles_8c_html_a24a309bcd5676bce950b1f4068864c86"><div class="ttname"><a href="../../d5/d7c/_day_z_player_camera_vehicles_8c.html#a24a309bcd5676bce950b1f4068864c86">DayZPlayerCamera3rdPersonVehicle</a></div><div class="ttdeci">void DayZPlayerCamera3rdPersonVehicle(DayZPlayer pPlayer, HumanInputController pInput)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d7c/_day_z_player_camera_vehicles_8c_source.html#l00028">DayZPlayerCameraVehicles.c:28</a></div></div>
<div class="ttc" id="aclass_day_z_player_camera1st_person_html"><div class="ttname"><a href="../../d0/d7a/class_day_z_player_camera1st_person.html">DayZPlayerCamera1stPerson</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d7c/_day_z_player_camera_vehicles_8c_source.html#l00004">DayZPlayerCameraVehicles.c:5</a></div></div>
<div class="ttc" id="aclass_day_z_player_camera3rd_person_crouch_html"><div class="ttname"><a href="../../d8/d09/class_day_z_player_camera3rd_person_crouch.html">DayZPlayerCamera3rdPersonCrouch</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00407">DayZPlayerCamera3rdPerson.c:408</a></div></div>
<div class="ttc" id="aclass_day_z_player_camera3rd_person_erc_html"><div class="ttname"><a href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html">DayZPlayerCamera3rdPersonErc</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00176">DayZPlayerCamera3rdPerson.c:177</a></div></div>
<div class="ttc" id="aclass_day_z_player_camera3rd_person_erc_raised_html"><div class="ttname"><a href="../../dc/d2b/class_day_z_player_camera3rd_person_erc_raised.html">DayZPlayerCamera3rdPersonErcRaised</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00349">DayZPlayerCamera3rdPerson.c:350</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html">DayZPlayerCameras</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00001">DayZPlayerCameras.c:2</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_a1e2eb80be88fb3159d9cc35ea7dcb336"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#a1e2eb80be88fb3159d9cc35ea7dcb336">DayZPlayerCameras::TIME_CAMERACHANGE_03</a></div><div class="ttdeci">static const float TIME_CAMERACHANGE_03</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00029">DayZPlayerCameras.c:29</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_a26dacce2c2fe775d42ea3be33b97647c"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#a26dacce2c2fe775d42ea3be33b97647c">DayZPlayerCameras::DAYZCAMERA_OPTICS</a></div><div class="ttdeci">static const int DAYZCAMERA_OPTICS</div><div class="ttdoc">optics</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00013">DayZPlayerCameras.c:13</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_a2a9f363d0818562936c6f710923db1d2"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#a2a9f363d0818562936c6f710923db1d2">DayZPlayerCameras::m_TransitionTimes</a></div><div class="ttdeci">static ref map&lt; int, float &gt; m_TransitionTimes</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00032">DayZPlayerCameras.c:32</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_a337b026636d79a042d3a030985b9f9eb"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#a337b026636d79a042d3a030985b9f9eb">DayZPlayerCameras::DAYZCAMERA_1ST</a></div><div class="ttdeci">static const int DAYZCAMERA_1ST</div><div class="ttdoc">1st person camera</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00003">DayZPlayerCameras.c:3</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_a3a40874644b86debd28f601ae229ea39"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#a3a40874644b86debd28f601ae229ea39">DayZPlayerCameras::DAYZCAMERA_3RD_PRO_RAISED</a></div><div class="ttdeci">static const int DAYZCAMERA_3RD_PRO_RAISED</div><div class="ttdoc">3rd - laying raised</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00010">DayZPlayerCameras.c:10</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_a3fb8d68f0dbcd562dbf8be7eb64f121e"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#a3fb8d68f0dbcd562dbf8be7eb64f121e">DayZPlayerCameras::DAYZCAMERA_3RD_CLIMB</a></div><div class="ttdeci">static const int DAYZCAMERA_3RD_CLIMB</div><div class="ttdoc">climb / vault</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00016">DayZPlayerCameras.c:16</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_a400339509ea47b366cd83823ca3626f6"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#a400339509ea47b366cd83823ca3626f6">DayZPlayerCameras::DAYZCAMERA_3RD_CRO_RAISED</a></div><div class="ttdeci">static const int DAYZCAMERA_3RD_CRO_RAISED</div><div class="ttdoc">3rd - crouch</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00008">DayZPlayerCameras.c:8</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_a5e9bee072b059bf0e204f4b0c7ed42c1"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#a5e9bee072b059bf0e204f4b0c7ed42c1">DayZPlayerCameras::PERITEMUD_INVALID</a></div><div class="ttdeci">static const int PERITEMUD_INVALID</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00021">DayZPlayerCameras.c:21</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_a6dbbf6d95a16043d93cf260178974cee"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#a6dbbf6d95a16043d93cf260178974cee">DayZPlayerCameras::PERITEMUD_TWOHANDED</a></div><div class="ttdeci">static const int PERITEMUD_TWOHANDED</div><div class="ttdoc">for empty hands</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00024">DayZPlayerCameras.c:24</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_a70dee02491214f3d1b57e17f041106d7"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#a70dee02491214f3d1b57e17f041106d7">DayZPlayerCameras::DAYZCAMERA_3RD_ERC_SPR</a></div><div class="ttdeci">static const int DAYZCAMERA_3RD_ERC_SPR</div><div class="ttdoc">3rd - standing sprint</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00005">DayZPlayerCameras.c:5</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_a76ff55bf612a491fa9286a9fc0af7087"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#a76ff55bf612a491fa9286a9fc0af7087">DayZPlayerCameras::TIME_CAMERACHANGE_02</a></div><div class="ttdeci">static const float TIME_CAMERACHANGE_02</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00028">DayZPlayerCameras.c:28</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_a789a43d8765bbae93531fb7fddb45c5a"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#a789a43d8765bbae93531fb7fddb45c5a">DayZPlayerCameras::RegisterCameras</a></div><div class="ttdeci">static void RegisterCameras(DayZPlayerType pType)</div><div class="ttdoc">called from DayZPlayerTypeCreate() fn</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00037">DayZPlayerCameras.c:37</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_a79e4beccda95bd06b173e9f19cc62d65"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#a79e4beccda95bd06b173e9f19cc62d65">DayZPlayerCameras::OnCameraChange</a></div><div class="ttdeci">static float OnCameraChange(DayZPlayer pPlayer, int pFrom, int pTo)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00162">DayZPlayerCameras.c:162</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_a7ae688855a4b71416e537cc910cc189b"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#a7ae688855a4b71416e537cc910cc189b">DayZPlayerCameras::DAYZCAMERA_3RD_PRO</a></div><div class="ttdeci">static const int DAYZCAMERA_3RD_PRO</div><div class="ttdoc">3rd - laying</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00009">DayZPlayerCameras.c:9</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_a7cc2316891d2dd86d86eab962815da9c"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#a7cc2316891d2dd86d86eab962815da9c">DayZPlayerCameras::PERITEMUD_EMPTYHANDED</a></div><div class="ttdeci">static const int PERITEMUD_EMPTYHANDED</div><div class="ttdoc">uninitialized / invalid per item camera user data</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00022">DayZPlayerCameras.c:22</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_a8790dc4876fc4e9f475dcc42f94f875e"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#a8790dc4876fc4e9f475dcc42f94f875e">DayZPlayerCameras::TIME_CAMERACHANGE_01</a></div><div class="ttdeci">static const float TIME_CAMERACHANGE_01</div><div class="ttdoc">for two handed items</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00027">DayZPlayerCameras.c:27</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_a888e2bb88ff282b538a7528658469fc1"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#a888e2bb88ff282b538a7528658469fc1">DayZPlayerCameras::RegisterTransitionTime</a></div><div class="ttdeci">static void RegisterTransitionTime(int pFrom, int pTo, float pTime, bool pTwoWay)</div><div class="ttdoc">static function to set time to table</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00134">DayZPlayerCameras.c:134</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_a964a0c3598dc49140b09c534ce264c59"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#a964a0c3598dc49140b09c534ce264c59">DayZPlayerCameras::DAYZCAMERA_3RD_VEHICLE</a></div><div class="ttdeci">static const int DAYZCAMERA_3RD_VEHICLE</div><div class="ttdoc">generic vehicle 3rd person</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00019">DayZPlayerCameras.c:19</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_aa63662d2622cbf37dc42bafb9828ed34"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#aa63662d2622cbf37dc42bafb9828ed34">DayZPlayerCameras::DAYZCAMERA_3RD_ERC</a></div><div class="ttdeci">static const int DAYZCAMERA_3RD_ERC</div><div class="ttdoc">3rd - standing</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00004">DayZPlayerCameras.c:4</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_aa63838373f03cb2d10c2ccb55abea7b5"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#aa63838373f03cb2d10c2ccb55abea7b5">DayZPlayerCameras::DAYZCAMERA_IRONSIGHTS</a></div><div class="ttdeci">static const int DAYZCAMERA_IRONSIGHTS</div><div class="ttdoc">ironsights camera</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00012">DayZPlayerCameras.c:12</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_ab0588f11b7d18eac8e70afa51a2a1c9d"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#ab0588f11b7d18eac8e70afa51a2a1c9d">DayZPlayerCameras::DAYZCAMERA_3RD_CRO</a></div><div class="ttdeci">static const int DAYZCAMERA_3RD_CRO</div><div class="ttdoc">3rd - crouch</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00007">DayZPlayerCameras.c:7</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_ab60706b6d38ff7e4bf816742f2743e22"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#ab60706b6d38ff7e4bf816742f2743e22">DayZPlayerCameras::DAYZCAMERA_3RD_ERC_RAISED</a></div><div class="ttdeci">static const int DAYZCAMERA_3RD_ERC_RAISED</div><div class="ttdoc">3rd - standing raised</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00006">DayZPlayerCameras.c:6</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_ac010fe7a13e790bb26b3dc3638760394"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#ac010fe7a13e790bb26b3dc3638760394">DayZPlayerCameras::DAYZCAMERA_1ST_UNCONSCIOUS</a></div><div class="ttdeci">static const int DAYZCAMERA_1ST_UNCONSCIOUS</div><div class="ttdoc">unconscious</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00014">DayZPlayerCameras.c:14</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_ac60db3439564a4693022485018357b4a"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#ac60db3439564a4693022485018357b4a">DayZPlayerCameras::DAYZCAMERA_3RD_ERC_RAISED_MELEE</a></div><div class="ttdeci">static const int DAYZCAMERA_3RD_ERC_RAISED_MELEE</div><div class="ttdoc">3rd - laying raised</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00011">DayZPlayerCameras.c:11</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_addf353151679e179e2568e2aa96123db"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#addf353151679e179e2568e2aa96123db">DayZPlayerCameras::PERITEMUD_ONEHANDED</a></div><div class="ttdeci">static const int PERITEMUD_ONEHANDED</div><div class="ttdoc">for empty hands</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00023">DayZPlayerCameras.c:23</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_ae2371dac195d0e2064c8c13815627b09"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#ae2371dac195d0e2064c8c13815627b09">DayZPlayerCameras::DAYZCAMERA_1ST_VEHICLE</a></div><div class="ttdeci">static const int DAYZCAMERA_1ST_VEHICLE</div><div class="ttdoc">vehicle 1st person</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00018">DayZPlayerCameras.c:18</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_aec91be6866a8df05739433691578b01a"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#aec91be6866a8df05739433691578b01a">DayZPlayerCameras::DAYZCAMERA_3RD_JUMP</a></div><div class="ttdeci">static const int DAYZCAMERA_3RD_JUMP</div><div class="ttdoc">jump</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00015">DayZPlayerCameras.c:15</a></div></div>
<div class="ttc" id="aclass_day_z_player_cameras_html_afa037122d5fe714ce44bd77d8bb6bf2a"><div class="ttname"><a href="../../d0/d5d/class_day_z_player_cameras.html#afa037122d5fe714ce44bd77d8bb6bf2a">DayZPlayerCameras::GetTransitionTime</a></div><div class="ttdeci">static float GetTransitionTime(int pFrom, int pTo)</div><div class="ttdoc">static function to get time from table</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/_day_z_player_cameras_8c_source.html#l00145">DayZPlayerCameras.c:145</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_ac59bf98466d4f3f38592427bbab714bd"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#ac59bf98466d4f3f38592427bbab714bd">DayZPlayerType</a></div><div class="ttdeci">private void DayZPlayerType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00484">dayzplayer.c:484</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_eb54cb765a131a2c306884813be74251.html">ManBase</a></li><li class="navelem"><a class="el" href="../../dir_875127120f67bed94f68794f1f35b6fa.html">DayZPlayer</a></li><li class="navelem"><a class="el" href="../../da/dcb/_day_z_player_cameras_8c.html">DayZPlayerCameras.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
